List Hauler Connections
curl --request GET \
--url https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_limit": 123,
"current_page": 123,
"results": [
{
"approved_by": 123,
"approved_on": "2023-11-07T05:31:56Z",
"denied_on": "2023-11-07T05:31:56Z",
"is_approved": true,
"location_id": 123,
"provider_id": 123,
"provider_name": "<string>",
"requested_on": "2023-11-07T05:31:56Z",
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total_count": 123,
"total_pages": 123
}Haulers
List Hauler Connections
List third party hauler connections.
GET
/
haulers
/
{hauler_uuid}
/
connections
List Hauler Connections
curl --request GET \
--url https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_limit": 123,
"current_page": 123,
"results": [
{
"approved_by": 123,
"approved_on": "2023-11-07T05:31:56Z",
"denied_on": "2023-11-07T05:31:56Z",
"is_approved": true,
"location_id": 123,
"provider_id": 123,
"provider_name": "<string>",
"requested_on": "2023-11-07T05:31:56Z",
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total_count": 123,
"total_pages": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Third party hauler identifier.
Query Parameters
Paged results page index (starting from 1).
Maximun number of results per page.
Response
200 - application/json
Success
Third party hauler connection list (paged).